Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/38338/?format=api
{ "ob_id": 38338, "uuid": "bfc2483537a744dca8e3239278b6e522", "title": "Continuous measurements of atmospheric carbon dioxide (CO2) and oxygen (O2) at Heathfield Tower 2021-2022", "abstract": "Continuous measurements of atmospheric carbon dioxide (CO2) and oxygen (O2) made at at Heathfield Tower, East Sussex, UK for the DARE-UK (Detection and Attribution of Regional greenhouse gas Emissions in the UK) project.\r\n\r\nThe measurement system was installed in June 2021 and measurements are ongoing. There were two inlet lines 100 meters above ground level, going up the tower, automatic switching between inlet lines every 2 hours. Data were sampled every 2 minutes, and gaps are present due to routine running of calibration cylinders, maintenance & removal of data with known technical issues.\r\nAtmospheric CO2 was observered using a Non-Dispersive InfraRed (NDIR) CO2 analyser from Siemens Corp., model Ultramat 6E (Units: ppm), whilst atmospheric O2 was measured using a dual lead fuel cell O2 analyser, Oxzilla from Sable Systems International Inc. (units: per meg). These CO2 and O2 measurements were then combined to calculate Atmospheric Potential Oxygen (APO) in units of per meg .\r\n\r\nThe data contain quality flags as follows:\r\nFlag 1 : Good data\r\nFlag 2 : From 19Jun2021 to 31Aug2021 there was no air conditioner in the laboratory, so the oxygen data has been adjusted using the room temperature.\r\n\r\nCalibration scales:\r\nCO2 data were transferred onto the WMO NOAA X2019 scale using Equation 6 in Hall et al., 2021, doi.org/10.5194/amt-14-3015-2021\r\nO2 data are on the Scripps SIO S2 scale.", "keywords": "Carbon dioxide, oxygen", "publicationState": "published", "dataPublishedTime": "2022-11-01T14:09:11", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/38339/?format=api", "dataPath": "/badc/deposited2022/Heathfield-CO2-O2-APO", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 71317401, "numberOfFiles": 5, "fileFormat": "Data are BADC-CSV formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/10574/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3664/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/65217/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/65218/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/65219/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/65220/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/65221/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/65222/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/65223/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/65224/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/82341/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/82342/?format=api" ], "dataLineage": "Data were collected and processed by the project team before uploading to the CEDA archive", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/31982/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182737/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182738/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182739/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182740/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182741/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182742/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182743/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182744/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/182745/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/38340/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }